ListRuns
Retrieve runs using an optional filter.
Authorizations
Query Parameters
A Common Expression Language (CEL) filter string.
Available fields to filter by are run_id organization_id, asset_id, asset_name, client_key, name, description, created_by_user_id, modified_by_user_id,
created_date, modified_date, start_time, stop_time, stopped_date, is_stopped, tag_id, asset_tag_id, duration, 'duration_string', annotation_comments_count, annotation_state, archived_date, is_archived,
and metadata.
Metadata can be used in filters by using metadata["<key name>"] as the field name,
e.g. metadata["test_scenario"] == "nightly". The dot form metadata.<key name> is not supported.
duration is in the format of elapsed seconds and duration_string allows for h, m, s, ms suffixes (example: `duration_string > duration('10h'))
For further information about how to use CELs, please refer to this guide.
How to order the retrieved runs. Formatted as a comma-separated string i.e. "FIELD_NAME[ desc],...".
Available fields to order_by are name, description, created_date, modified_date, start_time, and stop_time.
If left empty, items are ordered by created_date in descending order (newest-first).
For more information about the format of this field, read this
Example: "created_date desc,modified_date"
Results can also be ordered by the value of a single metadata key, using the same bracket
syntax as filter: metadata["<key name>"][ desc]. Metadata ordering cannot be combined
with other order_by fields, and runs without the key sort last in both directions. Keys
with relation-typed values cannot be ordered by.
Example: metadata["test_scenario"] desc